Перейти к содержанию

references

GET /api/references/sources

Get Sources

Query параметры:

Параметр Тип По умолчанию Описание
include_inactive Include Inactive False Включить деактивированные

Response 200: Successful Response

array[ItemResponse]

Поле Тип Обязательное Описание
id Id нет
name Name нет
is_active Is Active нет

Ошибки:

Код Описание
422 Validation Error

PUT /api/references/sources/{source_id}

Update Source

Path параметры:

Параметр Тип Описание
source_id Source Id

Request Body:

Поле Тип Обязательное Описание
name Name нет
is_active Is Active нет

Response 200: Successful Response

Поле Тип Обязательное Описание
id Id нет
name Name нет
is_active Is Active нет

Ошибки:

Код Описание
422 Validation Error

DELETE /api/references/sources/{source_id}

Delete Source

Path параметры:

Параметр Тип Описание
source_id Source Id

Response 200: Successful Response

Нет данных

Ошибки:

Код Описание
422 Validation Error

GET /api/references/appeal-types

Get Appeal Types

Response 200: Successful Response

array[ItemBase]

Поле Тип Обязательное Описание
id Id нет
name Name нет

GET /api/references/categories

Get Categories

Query параметры:

Параметр Тип По умолчанию Описание
appeal_type_id Appeal Type Id

Response 200: Successful Response

array[CategoryItem]

Поле Тип Обязательное Описание
id Id нет
name Name нет
appeal_type_id Appeal Type Id нет
priority Priority нет

Ошибки:

Код Описание
422 Validation Error

GET /api/references/subcategories

Get Subcategories

Query параметры:

Параметр Тип По умолчанию Описание
category_id Category Id

Response 200: Successful Response

array[SubcategoryItem]

Поле Тип Обязательное Описание
id Id нет
name Name нет
category_id Category Id нет
priority Priority нет

Ошибки:

Код Описание
422 Validation Error

GET /api/references/response-methods

Get Response Methods

Query параметры:

Параметр Тип По умолчанию Описание
include_inactive Include Inactive False Включить деактивированные

Response 200: Successful Response

array[ItemResponse]

Поле Тип Обязательное Описание
id Id нет
name Name нет
is_active Is Active нет

Ошибки:

Код Описание
422 Validation Error

PUT /api/references/response-methods/{method_id}

Update Response Method

Path параметры:

Параметр Тип Описание
method_id Method Id

Request Body:

Поле Тип Обязательное Описание
name Name нет
is_active Is Active нет

Response 200: Successful Response

Поле Тип Обязательное Описание
id Id нет
name Name нет
is_active Is Active нет

Ошибки:

Код Описание
422 Validation Error

DELETE /api/references/response-methods/{method_id}

Delete Response Method

Path параметры:

Параметр Тип Описание
method_id Method Id

Response 200: Successful Response

Нет данных

Ошибки:

Код Описание
422 Validation Error

GET /api/references/persons

Search Persons

Query параметры:

Параметр Тип По умолчанию Описание
q Q
include_inactive Include Inactive False Включить деактивированных

Response 200: Successful Response

array[PersonResponse]

Поле Тип Обязательное Описание
id Id нет
full_name Full Name нет
iin Iin нет
phone Phone нет
email Email нет
is_active Is Active нет

Ошибки:

Код Описание
422 Validation Error

POST /api/references/persons

Create Person

Request Body:

Поле Тип Обязательное Описание
full_name Full Name да
iin Iin нет
phone Phone нет
email Email нет

Response 200: Successful Response

Поле Тип Обязательное Описание
id Id нет
full_name Full Name нет
iin Iin нет
phone Phone нет
email Email нет
is_active Is Active нет

Ошибки:

Код Описание
422 Validation Error

PUT /api/references/persons/{person_id}

Update Person

Path параметры:

Параметр Тип Описание
person_id Person Id

Request Body:

Поле Тип Обязательное Описание
full_name Full Name нет
iin Iin нет
phone Phone нет
email Email нет
is_active Is Active нет

Response 200: Successful Response

Поле Тип Обязательное Описание
id Id нет
full_name Full Name нет
iin Iin нет
phone Phone нет
email Email нет
is_active Is Active нет

Ошибки:

Код Описание
422 Validation Error

DELETE /api/references/persons/{person_id}

Delete Person

Path параметры:

Параметр Тип Описание
person_id Person Id

Response 200: Successful Response

Нет данных

Ошибки:

Код Описание
422 Validation Error

GET /api/references/regions

Get Regions

Response 200: Successful Response

array[RegionItem]

Поле Тип Обязательное Описание
id Id нет
name Name нет
phone_code Phone Code нет
parent_id Parent Id нет
full_phone_code Full Phone Code нет

GET /api/references/organizations

Get Organizations

Query параметры:

Параметр Тип По умолчанию Описание
region_id Region Id

Response 200: Successful Response

array[OrganizationItem]

Поле Тип Обязательное Описание
id Id нет
name Name нет
region_id Region Id нет

Ошибки:

Код Описание
422 Validation Error